<?php

	/*
	 * Addon tvsfeuser
	 * @author wandel[at]thavis[dot]com Michael Wandel
	 * @author <a href="http://www.thavis.com">www.thavis.com</a>
	 * @package redaxo4
	 * @version $Id: config.inc.php,v 1.0 2010/07/16 12:00:00 kills Exp $
	 */

	$tvsfe_mypage = 'tvsfeuser'; // only for this file

	$REX['ADDON']['page'][$tvsfe_mypage] = $tvsfe_mypage;
	$REX['ADDON']['rxid'][$tvsfe_mypage] = '784';
	$REX['ADDON']['name'][$tvsfe_mypage] = 'TvsFEUser';
	$REX['ADDON']['perm'][$tvsfe_mypage] = 'tvsfeuser[]';
	$REX['ADDON']['version'][$tvsfe_mypage] = "0.7";
	$REX['ADDON']['author'][$tvsfe_mypage] = "Michael Wandel";

	$REX['PERM'][] = 'tvsfeuser[]';

	$Basedir = dirname(__FILE__);
	$tvsfeuserIniFile = $REX['INCLUDE_PATH'] . "/addons/" . $tvsfe_mypage . "/" . $tvsfe_mypage . ".ini";

    if ($REX['REDAXO'] != 1)
    {

		rex_register_extension('OUTPUT_FILTER', 'tvsaccesscontrol');

		function tvsaccesscontrol($params)
		{
			global $REX;
			global $tvsfeuserIniFile;
			
			if (!isset ($_SESSION)) {
				session_start();
			}			

			$tvsfe_content = $params['subject'];
			$tvsfe_rights_array = "";

			if (file_exists($tvsfeuserIniFile)) {
				$tvsfe_stringData = file_get_contents($tvsfeuserIniFile);
				$tvsfe_settings = parse_ini_file($tvsfeuserIniFile);
				
				$tvsfe_rights				= $tvsfe_settings['accessRestrictions'];
				$tvsfe_redir_link			= $tvsfe_settings['Redir_Link'];
				$tvsfe_redir_link_name		= $tvsfe_settings['Redir_Link_Name'];
				$tvsfe_rights_array			= explode(",", $tvsfe_rights);
			}

			if ($tvsfe_rights != "") {
				$tvsfe_artid = isset($REX['ARTICLE_ID']) ? $REX['ARTICLE_ID']+0 : 0;
				if ($tvsfe_artid == 0) { $tvsfe_artid = $REX['ARTICLE']->getValue('article_id')+0; }
				if ($tvsfe_artid == 0) { $tvsfe_artid = $REX['START_ARTICLE_ID']; }

				// if (!$artid) { return $content; }
				
				if ($tvsfe_redir_link != "")
					if (in_array($tvsfe_artid, $tvsfe_rights_array)) {
						if(!isset($_SESSION['tvsfeuser']['feuser']) or $_SESSION['tvsfeuser']['feuser']['access'] != "yes")
							rex_redirect($tvsfe_redir_link, $REX['CUR_CLANG'], array('target_id'=>$tvsfe_artid));
						else {
							$tvsfe_user_rights_array = explode(",", $_SESSION['tvsfeuser']['feuser']['rights']);
							if (!in_array($tvsfe_artid, $tvsfe_user_rights_array))
								rex_redirect($tvsfe_redir_link, $REX['CUR_CLANG'], array('target_id'=>$tvsfe_artid));
						}
					}
			}
			return $tvsfe_content;
		}
	}

?>