<?php

	/*
	 * Addon tvsfeuser
	 * @author wandel[at]thavis[dot]com Michael Wandel
	 * @author <a href="http://www.thavis.com">www.thavis.com</a>
	 * @package redaxo4
	 * @version $Id: index.inc.php,v 1.0 2010/07/16 12:00:00 kills Exp $
	 */

	// *************************************** INCLUDES

	$tvsfe_mypage = 'tvsfeuser'; // only for this file
	$Basedir	= dirname(__FILE__);
	$table_pre	= $REX['TABLE_PREFIX'] . $REX['ADDON']['rxid']['tvsfeuser'];

	// *************************************** MAIN

	require $REX['INCLUDE_PATH']."/layout/top.php";

	//error_reporting(E_ALL);

	$subpages = array (
		array( 'access', 'Zugriffsrechte'),
		array( 'user', 'Benutzer'),
	);

	rex_title('TVS Frontend-User ' . $REX['ADDON']['version'][$tvsfe_mypage], $subpages);

	$subpage = rex_request('subpage', 'string', '');
	$func    = rex_request('func', 'string', '');
	$view    = rex_request('view', 'string', '');

	switch ($subpage)
	{
	case 'access' :
		$file = $Basedir.'/access.inc.php';
		break;
	case 'user' :
		$file = $Basedir.'/user.inc.php';
		break;
	default:
		$file = $Basedir.'/access.inc.php';
		break;
	}

    if ($file != "")
		require $file;

	require $REX['INCLUDE_PATH']."/layout/bottom.php";

?>